/*
 * @Author: ysh
 * @Date: 2025-05-12 11:03:30
 * @LastEditors: 
 * @LastEditTime: 2025-05-12 11:03:36
 */
import request from '@/utils/request'

// 查询cmc现场开支列表
export function listSite(query) {
  return request({
    url: '/oa/site/list',
    method: 'get',
    params: query
  })
}

// 查询cmc现场开支详细
export function getSite(expenseId) {
  return request({
    url: '/oa/site/' + expenseId,
    method: 'get'
  })
}

// 新增cmc现场开支
export function addSite(data) {
  return request({
    url: '/oa/site',
    method: 'post',
    data: data
  })
}

// 修改cmc现场开支
export function updateSite(data) {
  return request({
    url: '/oa/site',
    method: 'put',
    data: data
  })
}

// 删除cmc现场开支
export function delSite(expenseId) {
  return request({
    url: '/oa/site/' + expenseId,
    method: 'delete'
  })
}
